For the complete documentation index, see llms.txt. This page is also available as Markdown.

Windows Service

List

get

Retrieve Default Windows Service Custom

Query parameters
siteIDinteger · int32Optional

The Site ID of the optimization setting to retrieve the windows service custom list.

Responses
200

Success

application/json; api-version=1.0

Image optimization windows services

typestring · enumOptional

Details Type

Possible values:
serviceNamestring · nullableOptional

Windows Services Name

displayNamestring · nullableOptional

Windows Services Display Name

aliasesstring · nullableOptional

Windows Service Aliases

get/api/RDSDefaultSettings/Optimization/WindowsService
GET /api/RDSDefaultSettings/Optimization/WindowsService HTTP/1.1
Accept: */*
[
  {
    "type": [
      "0 = Predefined",
      "1 = Custom"
    ],
    "serviceName": "text",
    "displayName": "text",
    "aliases": "text"
  }
]

Add

post

Adds a default Windows Service Custom to optimization.

Query parameters
siteIDinteger · int32Optional

The Site ID of the Optimization settings to retrieve the windows services custom.

Body
aliasesstring · max: 255 · nullableOptional

Windows Services Alias

displayNamestring · max: 255 · nullableOptional

Windows Services Diplay Name

serviceNamestring · max: 255 · nullableOptional

Windows Service Name

Responses
201

Created

No content

post/api/RDSDefaultSettings/Optimization/WindowsService
POST /api/RDSDefaultSettings/Optimization/WindowsService HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 60

{
  "aliases": "text",
  "displayName": "text",
  "serviceName": "text"
}

No content

Delete

delete

Removes Default Windows Service Custom From Optimization.

Query parameters
siteIDinteger · int32Optional

The ID of the optimization setting to remove the windows Service custom.

Body
serviceNamestring · max: 255 · nullableOptional

Windows Service Name

Responses
204

No Content

No content

delete/api/RDSDefaultSettings/Optimization/WindowsService
DELETE /api/RDSDefaultSettings/Optimization/WindowsService HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 22

{
  "serviceName": "text"
}

No content